"""Make user_id a unique constraint in templates

Revision ID: 5f88cc45615c
Revises: 03e98a49599c
Create Date: 2020-07-07 15:05:35.893167

"""

from alembic import op

# revision identifiers, used by Alembic.
revision = "5f88cc45615c"
down_revision = "03e98a49599c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint(op.f("templates_user_id_key"), "templates", ["user_id", "name"])
    op.drop_index("templates_name_idx", table_name="templates")
    op.create_index(op.f("templates_name_idx"), "templates", ["name"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("templates_name_idx"), table_name="templates")
    op.create_index("templates_name_idx", "templates", ["name"], unique=True)
    op.drop_constraint(op.f("templates_user_id_key"), "templates", type_="unique")
    # ### end Alembic commands ###
